Page MenuHomePhabricator

[Feeds] Implement Content Service endpoint for "featured article of the day"
Closed, ResolvedPublic2 Story Points

Description

This is to implement a service endpoint for returning the daily featured article in a simply digestible JSON format.
(presumably should support a lang= parameter)

Event Timeline

Dbrant created this task.Apr 15 2016, 1:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 15 2016, 1:23 PM
Dbrant added a subscriber: atgo.May 11 2016, 7:06 PM
MBinder_WMF set the point value for this task to 2.May 13 2016, 6:15 PM
bearND claimed this task.

Change 290859 had a related patch set uploaded (by BearND):
Add route for featured article of the day

https://gerrit.wikimedia.org/r/290859

Change 290859 merged by jenkins-bot:
Add route for featured article of the day

https://gerrit.wikimedia.org/r/290859

Mhurd added a subscriber: Mhurd.Jun 2 2016, 6:49 PM

@bearND

Sorry I didn't review this in time!

The only issue I can see is it looks like the results are unnecessarily nested in a "page" property:

{
    "page": {
        "title": "Red rail",
        "thumbnail": {
            "60": "http://upload.wikimedia.org/wikipedia/commons/thumb/3/36/Red_Rail.jpg/60px-Red_Rail.jpg",
            "120": "http://upload.wikimedia.org/wikipedia/commons/thumb/3/36/Red_Rail.jpg/120px-Red_Rail.jpg",
            "320": "http://upload.wikimedia.org/wikipedia/commons/thumb/3/36/Red_Rail.jpg/288px-Red_Rail.jpg"
        },
        "description": "species of bird (fossil)",
        "extract": "The red rail (Aphanapteryx bonasia) is an extinct species of flightless rail. It was endemic to the Mascarene island of Mauritius, east of Madagascar in the Indian Ocean. It had a close relative on Rodrigues island, the likewise extinct Rodrigues rail (Erythromachus leguati), with which it is sometimes considered congeneric. Its relationship with other rails is unclear. Rails often evolve flightlessness when adapting to isolated islands, free of mammalian predators."
    }
}

Is it too late to get rid of that?

bearND added a comment.Jun 2 2016, 8:06 PM

@Mhurd It's not too late. The output format is still being refined. I think we could get rid of the extra page level object.

bearND moved this task from To Deploy to Backlog on the Mobile-Content-Service board.

Change 292588 had a related patch set uploaded (by BearND):
Remove extra page object in featured article response

https://gerrit.wikimedia.org/r/292588

bearND added a comment.Jun 3 2016, 4:54 PM

@Mhurd the above patch removes the page level.

Dbrant closed this task as Resolved.Jun 6 2016, 1:04 PM
atgo added a comment.Jun 6 2016, 3:28 PM

Hey @Dbrant is there documentation for accessing this feed?

Dbrant added a comment.Jun 6 2016, 3:43 PM

@atgo This task is complete in the sense that the code is merged, but it's not yet deployed to production. When that's done, we'll notify mobile-l with links to documentation.

atgo added a comment.Jun 6 2016, 4:18 PM

Awesome thanks!

Change 292588 merged by jenkins-bot:
Remove extra page object in featured article response

https://gerrit.wikimedia.org/r/292588